package Techniques_to_automate_web_Element;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.support.ui.Select;

public class WebElementAutomation {
    public static void main(String[] args) throws InterruptedException {
        WebDriver obj = new FirefoxDriver();
        // for maximizing the window.
        obj.manage().window().maximize();
        obj.get("https://rahulshettyacademy.com/dropdownsPractise/");


        //------------------------------------> Static DropDown <--------------------------------------------------

        WebElement object = obj.findElement(By.cssSelector("select#ctl00_mainContent_DropDownListCurrency"));

        Select StaticDropDown = new Select(object);

        StaticDropDown.selectByIndex(2);
        System.out.println(StaticDropDown.getFirstSelectedOption().getText());
        StaticDropDown.selectByValue("INR");
        System.out.println(StaticDropDown.getFirstSelectedOption().getText());


        //------------------------------------> updated Static DropDown <-------------------------------------------

        Thread.sleep(2000);
        obj.findElement(By.cssSelector("div#divpaxinfo")).click();

        for(int i=1;i<=2;i++)
        {
            obj.findElement(By.cssSelector("span#hrefIncAdt")).click();
        }

        Thread.sleep(2000);
        for(int i=1;i<=3;i++)
        {
            obj.findElement(By.cssSelector("span#hrefIncChd")).click();
        }

        obj.findElement(By.cssSelector("span#hrefDecChd")).click();

        Thread.sleep(2000);
        for(int i=1;i<=2;i++)
        {
            obj.findElement(By.cssSelector("span#hrefIncInf")).click();
        }

        Thread.sleep(2000);
        obj.findElement(By.id("btnclosepaxoption")).click();

        //----------------------------> Dynamic DropDown <----------------------------------------------------------

        obj.findElement(By.cssSelector("input#ctl00_mainContent_ddl_originStation1_CTXT")).click();

        obj.findElement(By.xpath("//a[@text='Bengaluru (BLR)']")).click();
        Thread.sleep(2000);//to hold or pause your test

        obj.findElement(By.xpath("(//a[@text='Chennai (MAA)'])[2]")).click(); // usually use that kind of xpath when full path also give similar value.



    }
}
